## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.SettingMany

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.SettingMany

All Implemented Interfaces:
  EStructuralFeature.Setting

Enclosing class:
  EStructuralFeatureImpl

    public static class EStructuralFeatureImpl.SettingMany

extends java.lang.Object
implements EStructuralFeature.Setting

Field Summary
`protected EStructuralFeature` `eStructuralFeature`
`protected java.util.List<java.lang.Object>` `list`
`protected EObject` `owner`

Constructor Summary
`EStructuralFeatureImpl.SettingMany(EObject owner, EStructuralFeature eStructuralFeature, java.util.List<java.lang.Object> list)`

Method Summary
`java.lang.Object` `get(boolean resolve)` Returns the value held by the feature of the object; it optionally `resolves` the value.
`EObject` `getEObject()` Returns the object holding a value.
`EStructuralFeature` `getEStructuralFeature()` Returns the specific feature holding a value for the object.
`boolean` `isSet()` Returns whether a value is held by the feature of the object.
`void` `set(java.lang.Object newValue)` Set the value held by the feature of the object.
`void` `unset()` Unsets the value held by the feature of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    protected EObject owner

### eStructuralFeature

    protected EStructuralFeature eStructuralFeature

### list

    protected java.util.List<java.lang.Object> list

Constructor Detail

### EStructuralFeatureImpl.SettingMany

    public EStructuralFeatureImpl.SettingMany(EObject owner,
                                              EStructuralFeature eStructuralFeature,
                                              java.util.List<java.lang.Object> list)

Method Detail

### getEObject

    public EObject getEObject()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the object holding a value.

  Specified by:
    `getEObject` in interface `EStructuralFeature.Setting`
  Returns:
    the object holding a value.

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the specific feature holding a value for the object.

  Specified by:
    `getEStructuralFeature` in interface `EStructuralFeature.Setting`
  Returns:
    the specific feature holding a value for the object.

### get

    public java.lang.Object get(boolean resolve)

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the value held by the feature of the object; it optionally `resolves` the value.

  Specified by:
    `get` in interface `EStructuralFeature.Setting`
  Parameters:
    `resolve` - whether to resolve.
  Returns:
    the value held by the feature of the object.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### set

    public void set(java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Setting`
  Set the value held by the feature of the object. If the new value is this setting itself, or is modified as a side effect of modifying this setting (i.e., if it is a view on the setting), the behavior is undefined and will likely result in simply clearing the list.

  Specified by:
    `set` in interface `EStructuralFeature.Setting`
  Parameters:
    `newValue` - the newValue.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### isSet

    public boolean isSet()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns whether a value is held by the feature of the object.

  Specified by:
    `isSet` in interface `EStructuralFeature.Setting`
  Returns:
    whether a value is held by the feature of the object.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    public void unset()

  Description copied from interface: `EStructuralFeature.Setting`
  Unsets the value held by the feature of the object.

  Specified by:
    `unset` in interface `EStructuralFeature.Setting`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.